Skip to main content
GET
/
v1
/
retailers
/
{retailer_pk}
/
orders
Get orders
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/orders/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 100,
  "results": [
    {
      "purchase_order_number": "1234-100000",
      "ordered_at": "2017-08-01T12:00:00Z",
      "id": 1016,
      "customer_order_number": "100000",
      "retailer_order_number": "1225466845",
      "brand_identifier": "423432322",
      "brands": [
        {
          "code": "demo-brand",
          "id": 500,
          "name": "Marla Cielo",
          "joined_at": "2022-09-10T15:24:56Z",
          "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
          "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
          "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
          "website": null,
          "is_onboarded": false,
          "is_on_rcn": false,
          "requires_subscription": "enabled",
          "subscription_expires_at": "2024-09-19T13:32:10Z",
          "grace_period_ends_at": "2024-10-26T13:32:10Z",
          "subscription_is_expired": false,
          "subscription_is_on_grace_period": false,
          "subscription_is_delinquent": false,
          "inventory_policy": "managed",
          "status": "active"
        }
      ],
      "connection_id": 10,
      "requested_shipping_method_id": 768,
      "shipment_count": 1,
      "invoice_count": 1,
      "allow_shipping_label_generation": true,
      "subtotal_charged": "25.96",
      "shipping_charged": "2.99",
      "is_gift": false,
      "gift_fee": null,
      "is_replacement": false,
      "status": "open",
      "currency": {
        "id": 1,
        "name": "United States Dollar",
        "symbol": "$",
        "unit": "USD"
      },
      "is_acknowledged": false,
      "acknowledged_at": "2022-08-01T12:00:00Z",
      "fulfill_by": "2022-12-19T03:59:59Z",
      "fulfilled_at": null,
      "closed_at": null,
      "received_at": null,
      "is_on_hold": false,
      "pickup_on": null,
      "on_hold_at": null,
      "on_hold_until": null,
      "backordered_until": null,
      "backorder_acknowledged_at": null,
      "canceled_at": null,
      "updated_at": "2022-08-03T17:45:11Z",
      "order_lines": [
        {
          "quantity": 2,
          "ordered_at": "2022-08-01T12:00:00Z",
          "id": 10013,
          "order_line_number": "SampleOL-1",
          "quantity_open": 2,
          "quantity_shipped": 0,
          "quantity_returned": 0,
          "quantity_canceled": 0,
          "quantity_invoiced": 0,
          "packages_per_quantity": 123,
          "price": "8.99",
          "net_price": "5.39",
          "subtotal": "17.98",
          "estimated_price": null,
          "shipping_charged": "0.00",
          "gift_fee": null,
          "subtotal_charged": "17.98",
          "tax_charged": "0.00",
          "total_charge": "12",
          "status": "open",
          "fulfill_by": "2022-12-19T03:59:59Z",
          "canceled_at": null,
          "backordered_until": null,
          "variant": "<string>",
          "metadata": [
            {
              "id": 456,
              "name": "MD143",
              "value": "12",
              "type": "string",
              "created_at": "2022-09-10T15:24:56Z"
            }
          ]
        }
      ],
      "cancels": [
        {
          "reason_id": 879,
          "id": 456,
          "canceled_at": null,
          "canceled_by": "retailer",
          "cancel_lines": [
            {
              "id": 7898,
              "variant": "Var1",
              "quantity": 3,
              "estimated_availability_date": "12-12-2022"
            }
          ],
          "order_id": "5465",
          "purchase_order_number": "CS192168",
          "reason": "Incorrect",
          "acknowledged_at": "2022-09-10T15:24:56Z"
        }
      ],
      "shipments": [
        {
          "order_id": 677,
          "id": 767,
          "batch_number": 6,
          "label_reference": "Sample label 123",
          "ordered_at": "2021-09-10T15:24:56Z",
          "customer_order_number": "765637",
          "retailer_order_number": "66367",
          "purchase_order_number": "PO-576",
          "tracking_number": "1Z9999999999999988",
          "tracking_url": "https://wwwapps.demo.com/WebTracking/track?track=yes&trackNums=1Z9999999999999988",
          "tracking": {
            "picked_up_at": "2022-08-10T15:24:56Z",
            "delivered_at": "2022-09-10T15:24:56Z",
            "tracking_details": [
              {
                "Time": "10-10-2022",
                "status": "Delivered",
                "status_detail": "Out for delivery",
                "id": 78895456,
                "country": "USA",
                "state": "New york",
                "city": "New york",
                "postal_code": "123R32"
              }
            ]
          },
          "status": "Shipped",
          "is_acknowledged": true,
          "has_commercial_invoice": true,
          "canceled_at": null,
          "ship_weight": 10,
          "ship_width": 1,
          "ship_length": 1,
          "ship_height": 1,
          "ship_girth": "<string>",
          "ship_volume": 4,
          "valid_packing_slip": true,
          "valid_shipping_label": true,
          "shipping_provider_identifier": "shp_3a61e10243da49ab92f0e3861d5d256b",
          "error_logs": {
            "id": 677,
            "message": "Sample errors to fix",
            "count": 12,
            "created_at": "2022-08-10T15:24:56Z"
          },
          "acknowledged_at": "2022-08-10T15:24:56Z",
          "closed_at": null,
          "delivered_at": "2022-09-10T15:24:56Z",
          "shipped_at": "2022-09-10T15:24:56Z",
          "updated_at": "2022-09-10T15:25:56Z",
          "created_at": "2022-09-10T15:24:56Z",
          "shipment_lines": [
            {
              "id": 1001,
              "order_line_number": "1001",
              "quantity": 1,
              "part": 1,
              "freight_class": 50,
              "updated_at": "2022-09-10T15:24:56Z",
              "variant": {
                "id": 249,
                "name": "Var45",
                "identifier": "123-DEF12345",
                "brand_identifier": "HATR",
                "upc": 555555555202,
                "retailer_identifiers": [
                  {
                    "id": 5642,
                    "identifier": "SKU976",
                    "name": "Retailer Sample"
                  }
                ]
              }
            }
          ],
          "signature": null,
          "invoice_number": "RC123456"
        }
      ],
      "attachments": [
        {
          "id": 268,
          "content_type": 1,
          "object_id": 666,
          "file": "Sample file",
          "uploaded_by": 646,
          "visible_by": "connections",
          "original_filename": "Sample1",
          "filename": "Sample1",
          "tags": [
            {
              "tag": "demotag",
              "id": 432
            }
          ],
          "url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"
        }
      ],
      "memos": [
        {
          "id": 1234,
          "text": "Immediate requirement",
          "visibility": "any",
          "acknowledged_at": "2022-01-10T15:24:56Z",
          "notify_people": true,
          "created_by": {
            "id": 542,
            "first_name": "Sample",
            "last_name": "Demo",
            "title": "Demo",
            "status": "Active",
            "type": "standard",
            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
            "is_me": true
          },
          "created_by_context": "retailer",
          "created_at": "2021-09-10T15:24:56Z",
          "updated_at": "2022-09-10T15:24:56Z"
        }
      ],
      "memos_count": 1,
      "unread_memos_count": 0,
      "tags": [
        {
          "id": 536,
          "tag": "Demo tag",
          "created_by": {
            "id": 542,
            "first_name": "Sample",
            "last_name": "Demo",
            "title": "Demo",
            "status": "Active",
            "type": "standard",
            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
            "is_me": true
          },
          "created_at": "2022-09-10T15:24:56Z",
          "updated_at": "2022-10-10T15:24:56Z"
        }
      ],
      "gift_message": "Gift",
      "fill_time": null,
      "invoices": [
        {
          "invoice_number": "RC123456",
          "id": 1,
          "connection_id": 2,
          "currency": {
            "id": 1,
            "name": "United States Dollar",
            "symbol": "$",
            "unit": "USD"
          },
          "terms_type": "Previously agreed upon",
          "terms_description": "Previously agreed upon terms will apply",
          "terms_net_days_due": 35,
          "terms_date_due": null,
          "terms_discount_percent": null,
          "order_id": "O-654",
          "customer_order_number": "CO-435",
          "purchase_order_number": "PO-546",
          "status": "closed",
          "shipping_carrier_name": "ALZ carrier",
          "shipping_carrier_code": "230F",
          "shipping_account_number": "SH879",
          "shipping_method_name": "Next day delivery",
          "shipping_method_code": "ND",
          "shipping_tracking_number": "1Z9999999999999988",
          "shipping_weight": "7.00",
          "notes": "Signature required",
          "invoiced_at": "2022-05-10T15:24:56Z",
          "ordered_at": "2022-05-10T15:24:56Z",
          "shipped_at": "2022-05-10T15:24:56Z",
          "acknowledged_at": "2022-06-10T15:24:56Z",
          "paid_at": "2022-06-10T15:24:56Z",
          "closed_at": null,
          "canceled_at": null,
          "allowances": [
            {
              "description": "Sample-discount-allowance",
              "price": "12.10",
              "id": 1
            }
          ],
          "charges": [
            {
              "description": "Sample invoice and its description",
              "price": "23.45",
              "id": 654
            }
          ],
          "invoice_lines": [
            {
              "quantity": 45,
              "price": "12.00",
              "id": 765,
              "variant": {
                "id": 100024,
                "name": "T-Shirt, Blue, L",
                "brand_identifier": "1000-BL-L",
                "identifier": "5000001",
                "upc": 9119119111,
                "cartons": [
                  {
                    "id": 48,
                    "number": 1,
                    "length": "1",
                    "length_unit": "1",
                    "width": "1",
                    "width_unit": "meter",
                    "height": "1",
                    "height_unit": "meter",
                    "weight": "15",
                    "weight_unit": "KG",
                    "package_girth_inches": "1",
                    "package_size_inches": "1"
                  }
                ],
                "color": "Red",
                "style": "Print",
                "size": "Large",
                "media": [
                  {
                    "id": 249,
                    "width": 100,
                    "height": 100,
                    "media": "default",
                    "priority": 1,
                    "url": "192.168.99.100/media/default/original",
                    "updated_at": "2022-09-10T15:24:56Z",
                    "created_at": "2022-08-10T15:24:56Z"
                  }
                ],
                "attributes": [
                  {
                    "code": "size",
                    "name": "Size",
                    "type": "money",
                    "id": 44,
                    "editable_by": "brand",
                    "grouping": "general",
                    "description": "demo product description",
                    "units": "USD",
                    "values": {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "ruleset_variants": [
                  {
                    "id": 1232,
                    "status": "processing",
                    "ruleset": "<unknown>",
                    "results": "<string>",
                    "created_at": "2022-08-10T15:24:56Z",
                    "updated_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "ruleset_variant_summary": "21",
                "active_permit": {
                  "id": 10104,
                  "retailer_price": "12.99",
                  "retailer_cost": "8.99",
                  "pricing": {},
                  "attributes": {},
                  "start_at": "2021-09-10T15:24:56Z",
                  "end_at": "2024-09-10T15:24:56Z",
                  "is_in_effect": true,
                  "revoked_at": "2022-09-10T15:24:56Z",
                  "is_acknowledged": true,
                  "acknowledged_at": "2022-09-10T15:24:56Z"
                },
                "permits": [
                  {
                    "id": 10104,
                    "retailer_price": "12.99",
                    "retailer_cost": "8.99",
                    "pricing": {},
                    "attributes": {},
                    "start_at": "2021-09-10T15:24:56Z",
                    "end_at": "2024-09-10T15:24:56Z",
                    "is_in_effect": true,
                    "revoked_at": "2022-09-10T15:24:56Z",
                    "is_acknowledged": true,
                    "acknowledged_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "is_compatible": true,
                "proposal_variant": {
                  "id": 3456,
                  "pricing": "12.00",
                  "attributes": [
                    {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  ],
                  "memos": [
                    {
                      "id": 1234,
                      "text": "Immediate requirement",
                      "visibility": "any",
                      "acknowledged_at": "2022-01-10T15:24:56Z",
                      "notify_people": true,
                      "created_by": {
                        "id": 542,
                        "first_name": "Sample",
                        "last_name": "Demo",
                        "title": "Demo",
                        "status": "Active",
                        "type": "standard",
                        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "is_me": true
                      },
                      "created_by_context": "retailer",
                      "created_at": "2021-09-10T15:24:56Z",
                      "updated_at": "2022-09-10T15:24:56Z"
                    }
                  ],
                  "issues": [
                    {
                      "id": 123,
                      "memos": [
                        {
                          "id": 1234,
                          "text": "Immediate requirement",
                          "visibility": "any",
                          "acknowledged_at": "2022-01-10T15:24:56Z",
                          "notify_people": true,
                          "created_by": {
                            "id": 542,
                            "first_name": "Sample",
                            "last_name": "Demo",
                            "title": "Demo",
                            "status": "Active",
                            "type": "standard",
                            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "is_me": true
                          },
                          "created_by_context": "retailer",
                          "created_at": "2021-09-10T15:24:56Z",
                          "updated_at": "2022-09-10T15:24:56Z"
                        }
                      ],
                      "created_at": "2023-11-07T05:31:56Z",
                      "updated_at": "2023-11-07T05:31:56Z",
                      "resolved_at": "2023-11-07T05:31:56Z",
                      "is_resolved": "<string>",
                      "issue_id": 123,
                      "message": "<string>",
                      "title": "<string>"
                    }
                  ],
                  "variant_id": 249,
                  "approved_at": "2022-10-10T15:24:56Z",
                  "created_at": "2022-07-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z",
                  "rejected_at": null,
                  "reject_reason": "Incomplete",
                  "reject": true,
                  "approve": false,
                  "delete": false
                },
                "retailer_identifiers": {
                  "id": 5642,
                  "identifier": "SKU976",
                  "name": "Retailer Sample"
                }
              },
              "invoice_line_number": 2,
              "item_brand_identifier": "Vend134",
              "item_upc": "911911911112",
              "name": "SamPro1",
              "description": "Sample description of product",
              "canceled_at": null,
              "retail_price": "14.00"
            }
          ],
          "net_amount": "12.89",
          "due_amount": "2.89",
          "expected_due_amount": "2.89",
          "subtotal": "10.89",
          "tax": "2.00",
          "invoice_acceptance": {
            "id": 565,
            "accepted_by": {
              "id": 542,
              "first_name": "Sample",
              "last_name": "Demo",
              "title": "Demo",
              "status": "Active",
              "type": "standard",
              "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "is_me": true
            },
            "rejected_by": {
              "id": 542,
              "first_name": "Sample",
              "last_name": "Demo",
              "title": "Demo",
              "status": "Active",
              "type": "standard",
              "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "is_me": true
            },
            "reject_reason": "Incorrect",
            "accepted_at": "2022-08-10T15:24:56Z",
            "rejected_at": null
          }
        }
      ],
      "signature": null,
      "rmas": [
        {
          "order_id": 1000,
          "reason_id": 344,
          "id": 4,
          "purchase_order_number": "CS192168",
          "rma_number": "ABC123",
          "status": "Pending",
          "currency": {
            "id": 1,
            "name": "United States Dollar",
            "symbol": "$",
            "unit": "USD"
          },
          "created_by": "Retailer",
          "rmad_at": "2022-09-10T15:24:56Z",
          "approved_at": "2022-09-10T15:24:56Z",
          "rejected_at": null,
          "ordered_at": "2022-09-10T15:24:56Z",
          "acknowledged_at": "2022-09-10T15:24:56Z",
          "rma_lines": [
            {
              "id": 567,
              "variant": {
                "id": 100024,
                "name": "T-Shirt, Blue, L",
                "brand_identifier": "1000-BL-L",
                "identifier": "5000001",
                "upc": 9119119111,
                "cartons": [
                  {
                    "id": 48,
                    "number": 1,
                    "length": "1",
                    "length_unit": "1",
                    "width": "1",
                    "width_unit": "meter",
                    "height": "1",
                    "height_unit": "meter",
                    "weight": "15",
                    "weight_unit": "KG",
                    "package_girth_inches": "1",
                    "package_size_inches": "1"
                  }
                ],
                "color": "Red",
                "style": "Print",
                "size": "Large",
                "media": [
                  {
                    "id": 249,
                    "width": 100,
                    "height": 100,
                    "media": "default",
                    "priority": 1,
                    "url": "192.168.99.100/media/default/original",
                    "updated_at": "2022-09-10T15:24:56Z",
                    "created_at": "2022-08-10T15:24:56Z"
                  }
                ],
                "attributes": [
                  {
                    "code": "size",
                    "name": "Size",
                    "type": "money",
                    "id": 44,
                    "editable_by": "brand",
                    "grouping": "general",
                    "description": "demo product description",
                    "units": "USD",
                    "values": {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "ruleset_variants": [
                  {
                    "id": 1232,
                    "status": "processing",
                    "ruleset": "<unknown>",
                    "results": "<string>",
                    "created_at": "2022-08-10T15:24:56Z",
                    "updated_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "ruleset_variant_summary": "21",
                "active_permit": {
                  "id": 10104,
                  "retailer_price": "12.99",
                  "retailer_cost": "8.99",
                  "pricing": {},
                  "attributes": {},
                  "start_at": "2021-09-10T15:24:56Z",
                  "end_at": "2024-09-10T15:24:56Z",
                  "is_in_effect": true,
                  "revoked_at": "2022-09-10T15:24:56Z",
                  "is_acknowledged": true,
                  "acknowledged_at": "2022-09-10T15:24:56Z"
                },
                "permits": [
                  {
                    "id": 10104,
                    "retailer_price": "12.99",
                    "retailer_cost": "8.99",
                    "pricing": {},
                    "attributes": {},
                    "start_at": "2021-09-10T15:24:56Z",
                    "end_at": "2024-09-10T15:24:56Z",
                    "is_in_effect": true,
                    "revoked_at": "2022-09-10T15:24:56Z",
                    "is_acknowledged": true,
                    "acknowledged_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "is_compatible": true,
                "proposal_variant": {
                  "id": 3456,
                  "pricing": "12.00",
                  "attributes": [
                    {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  ],
                  "memos": [
                    {
                      "id": 1234,
                      "text": "Immediate requirement",
                      "visibility": "any",
                      "acknowledged_at": "2022-01-10T15:24:56Z",
                      "notify_people": true,
                      "created_by": {
                        "id": 542,
                        "first_name": "Sample",
                        "last_name": "Demo",
                        "title": "Demo",
                        "status": "Active",
                        "type": "standard",
                        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "is_me": true
                      },
                      "created_by_context": "retailer",
                      "created_at": "2021-09-10T15:24:56Z",
                      "updated_at": "2022-09-10T15:24:56Z"
                    }
                  ],
                  "issues": [
                    {
                      "id": 123,
                      "memos": [
                        {
                          "id": 1234,
                          "text": "Immediate requirement",
                          "visibility": "any",
                          "acknowledged_at": "2022-01-10T15:24:56Z",
                          "notify_people": true,
                          "created_by": {
                            "id": 542,
                            "first_name": "Sample",
                            "last_name": "Demo",
                            "title": "Demo",
                            "status": "Active",
                            "type": "standard",
                            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "is_me": true
                          },
                          "created_by_context": "retailer",
                          "created_at": "2021-09-10T15:24:56Z",
                          "updated_at": "2022-09-10T15:24:56Z"
                        }
                      ],
                      "created_at": "2023-11-07T05:31:56Z",
                      "updated_at": "2023-11-07T05:31:56Z",
                      "resolved_at": "2023-11-07T05:31:56Z",
                      "is_resolved": "<string>",
                      "issue_id": 123,
                      "message": "<string>",
                      "title": "<string>"
                    }
                  ],
                  "variant_id": 249,
                  "approved_at": "2022-10-10T15:24:56Z",
                  "created_at": "2022-07-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z",
                  "rejected_at": null,
                  "reject_reason": "Incomplete",
                  "reject": true,
                  "approve": false,
                  "delete": false
                },
                "retailer_identifiers": {
                  "id": 5642,
                  "identifier": "SKU976",
                  "name": "Retailer Sample"
                }
              },
              "quantity": 20,
              "quantity_shipped": 10,
              "net_price": "12.00"
            }
          ],
          "reason": "Incorrect",
          "memos": [
            {
              "id": 1234,
              "text": "Immediate requirement",
              "visibility": "any",
              "acknowledged_at": "2022-01-10T15:24:56Z",
              "notify_people": true,
              "created_by": {
                "id": 542,
                "first_name": "Sample",
                "last_name": "Demo",
                "title": "Demo",
                "status": "Active",
                "type": "standard",
                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "is_me": true
              },
              "created_by_context": "retailer",
              "created_at": "2021-09-10T15:24:56Z",
              "updated_at": "2022-09-10T15:24:56Z"
            }
          ],
          "attachments": [
            {
              "id": 268,
              "content_type": 1,
              "object_id": 666,
              "file": "Sample file",
              "uploaded_by": 646,
              "visible_by": "connections",
              "original_filename": "Sample1",
              "filename": "Sample1",
              "tags": [
                {
                  "tag": "demotag",
                  "id": 432
                }
              ],
              "url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"
            }
          ],
          "total_amount": "34.00",
          "credits": [
            {
              "id": 20,
              "currency": {
                "id": 1,
                "name": "United States Dollar",
                "symbol": "$",
                "unit": "USD"
              },
              "rma": "<unknown>",
              "order": "<string>",
              "credit_number": "849238",
              "credit_lines": [
                {
                  "quantity": 10,
                  "id": 566,
                  "variant": {
                    "id": 100024,
                    "name": "T-Shirt, Blue, L",
                    "brand_identifier": "1000-BL-L",
                    "identifier": "5000001",
                    "upc": 9119119111,
                    "cartons": [
                      {
                        "id": 48,
                        "number": 1,
                        "length": "1",
                        "length_unit": "1",
                        "width": "1",
                        "width_unit": "meter",
                        "height": "1",
                        "height_unit": "meter",
                        "weight": "15",
                        "weight_unit": "KG",
                        "package_girth_inches": "1",
                        "package_size_inches": "1"
                      }
                    ],
                    "color": "Red",
                    "style": "Print",
                    "size": "Large",
                    "media": [
                      {
                        "id": 249,
                        "width": 100,
                        "height": 100,
                        "media": "default",
                        "priority": 1,
                        "url": "192.168.99.100/media/default/original",
                        "updated_at": "2022-09-10T15:24:56Z",
                        "created_at": "2022-08-10T15:24:56Z"
                      }
                    ],
                    "attributes": [
                      {
                        "code": "size",
                        "name": "Size",
                        "type": "money",
                        "id": 44,
                        "editable_by": "brand",
                        "grouping": "general",
                        "description": "demo product description",
                        "units": "USD",
                        "values": {
                          "id": 123,
                          "value": "<string>",
                          "unit": {
                            "id": 677,
                            "name": "Sample unit",
                            "standard_unit": "<string>",
                            "type": "cost",
                            "system": "metric",
                            "symbol": "USD"
                          },
                          "updated_at": "2023-11-07T05:31:56Z",
                          "created_at": "2023-11-07T05:31:56Z"
                        }
                      }
                    ],
                    "ruleset_variants": [
                      {
                        "id": 1232,
                        "status": "processing",
                        "ruleset": "<unknown>",
                        "results": "<string>",
                        "created_at": "2022-08-10T15:24:56Z",
                        "updated_at": "2022-09-10T15:24:56Z"
                      }
                    ],
                    "ruleset_variant_summary": "21",
                    "active_permit": {
                      "id": 10104,
                      "retailer_price": "12.99",
                      "retailer_cost": "8.99",
                      "pricing": {},
                      "attributes": {},
                      "start_at": "2021-09-10T15:24:56Z",
                      "end_at": "2024-09-10T15:24:56Z",
                      "is_in_effect": true,
                      "revoked_at": "2022-09-10T15:24:56Z",
                      "is_acknowledged": true,
                      "acknowledged_at": "2022-09-10T15:24:56Z"
                    },
                    "permits": [
                      {
                        "id": 10104,
                        "retailer_price": "12.99",
                        "retailer_cost": "8.99",
                        "pricing": {},
                        "attributes": {},
                        "start_at": "2021-09-10T15:24:56Z",
                        "end_at": "2024-09-10T15:24:56Z",
                        "is_in_effect": true,
                        "revoked_at": "2022-09-10T15:24:56Z",
                        "is_acknowledged": true,
                        "acknowledged_at": "2022-09-10T15:24:56Z"
                      }
                    ],
                    "is_compatible": true,
                    "proposal_variant": {
                      "id": 3456,
                      "pricing": "12.00",
                      "attributes": [
                        {
                          "id": 123,
                          "value": "<string>",
                          "unit": {
                            "id": 677,
                            "name": "Sample unit",
                            "standard_unit": "<string>",
                            "type": "cost",
                            "system": "metric",
                            "symbol": "USD"
                          },
                          "updated_at": "2023-11-07T05:31:56Z",
                          "created_at": "2023-11-07T05:31:56Z"
                        }
                      ],
                      "memos": [
                        {
                          "id": 1234,
                          "text": "Immediate requirement",
                          "visibility": "any",
                          "acknowledged_at": "2022-01-10T15:24:56Z",
                          "notify_people": true,
                          "created_by": {
                            "id": 542,
                            "first_name": "Sample",
                            "last_name": "Demo",
                            "title": "Demo",
                            "status": "Active",
                            "type": "standard",
                            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "is_me": true
                          },
                          "created_by_context": "retailer",
                          "created_at": "2021-09-10T15:24:56Z",
                          "updated_at": "2022-09-10T15:24:56Z"
                        }
                      ],
                      "issues": [
                        {
                          "id": 123,
                          "memos": [
                            {
                              "id": 1234,
                              "text": "Immediate requirement",
                              "visibility": "any",
                              "acknowledged_at": "2022-01-10T15:24:56Z",
                              "notify_people": true,
                              "created_by": {
                                "id": 542,
                                "first_name": "Sample",
                                "last_name": "Demo",
                                "title": "Demo",
                                "status": "Active",
                                "type": "standard",
                                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                                "is_me": true
                              },
                              "created_by_context": "retailer",
                              "created_at": "2021-09-10T15:24:56Z",
                              "updated_at": "2022-09-10T15:24:56Z"
                            }
                          ],
                          "created_at": "2023-11-07T05:31:56Z",
                          "updated_at": "2023-11-07T05:31:56Z",
                          "resolved_at": "2023-11-07T05:31:56Z",
                          "is_resolved": "<string>",
                          "issue_id": 123,
                          "message": "<string>",
                          "title": "<string>"
                        }
                      ],
                      "variant_id": 249,
                      "approved_at": "2022-10-10T15:24:56Z",
                      "created_at": "2022-07-10T15:24:56Z",
                      "updated_at": "2022-09-10T15:24:56Z",
                      "rejected_at": null,
                      "reject_reason": "Incomplete",
                      "reject": true,
                      "approve": false,
                      "delete": false
                    },
                    "retailer_identifiers": {
                      "id": 5642,
                      "identifier": "SKU976",
                      "name": "Retailer Sample"
                    }
                  },
                  "net_price": "12.99"
                }
              ],
              "adjustments": [
                {
                  "id": 566,
                  "description": "Sample description for adjustment",
                  "net_price": "1.00"
                }
              ],
              "acknowledged_at": "2022-09-10T15:24:56Z",
              "credited_at": "2022-09-10T15:24:56Z",
              "created_at": "2022-08-10T15:24:56Z",
              "subtotal": "20.00",
              "credit_amount": "24.00"
            }
          ]
        }
      ],
      "credits": [
        {
          "id": 20,
          "currency": {
            "id": 1,
            "name": "United States Dollar",
            "symbol": "$",
            "unit": "USD"
          },
          "rma": "<unknown>",
          "order": "<string>",
          "credit_number": "849238",
          "credit_lines": [
            {
              "quantity": 10,
              "id": 566,
              "variant": {
                "id": 100024,
                "name": "T-Shirt, Blue, L",
                "brand_identifier": "1000-BL-L",
                "identifier": "5000001",
                "upc": 9119119111,
                "cartons": [
                  {
                    "id": 48,
                    "number": 1,
                    "length": "1",
                    "length_unit": "1",
                    "width": "1",
                    "width_unit": "meter",
                    "height": "1",
                    "height_unit": "meter",
                    "weight": "15",
                    "weight_unit": "KG",
                    "package_girth_inches": "1",
                    "package_size_inches": "1"
                  }
                ],
                "color": "Red",
                "style": "Print",
                "size": "Large",
                "media": [
                  {
                    "id": 249,
                    "width": 100,
                    "height": 100,
                    "media": "default",
                    "priority": 1,
                    "url": "192.168.99.100/media/default/original",
                    "updated_at": "2022-09-10T15:24:56Z",
                    "created_at": "2022-08-10T15:24:56Z"
                  }
                ],
                "attributes": [
                  {
                    "code": "size",
                    "name": "Size",
                    "type": "money",
                    "id": 44,
                    "editable_by": "brand",
                    "grouping": "general",
                    "description": "demo product description",
                    "units": "USD",
                    "values": {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "ruleset_variants": [
                  {
                    "id": 1232,
                    "status": "processing",
                    "ruleset": "<unknown>",
                    "results": "<string>",
                    "created_at": "2022-08-10T15:24:56Z",
                    "updated_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "ruleset_variant_summary": "21",
                "active_permit": {
                  "id": 10104,
                  "retailer_price": "12.99",
                  "retailer_cost": "8.99",
                  "pricing": {},
                  "attributes": {},
                  "start_at": "2021-09-10T15:24:56Z",
                  "end_at": "2024-09-10T15:24:56Z",
                  "is_in_effect": true,
                  "revoked_at": "2022-09-10T15:24:56Z",
                  "is_acknowledged": true,
                  "acknowledged_at": "2022-09-10T15:24:56Z"
                },
                "permits": [
                  {
                    "id": 10104,
                    "retailer_price": "12.99",
                    "retailer_cost": "8.99",
                    "pricing": {},
                    "attributes": {},
                    "start_at": "2021-09-10T15:24:56Z",
                    "end_at": "2024-09-10T15:24:56Z",
                    "is_in_effect": true,
                    "revoked_at": "2022-09-10T15:24:56Z",
                    "is_acknowledged": true,
                    "acknowledged_at": "2022-09-10T15:24:56Z"
                  }
                ],
                "is_compatible": true,
                "proposal_variant": {
                  "id": 3456,
                  "pricing": "12.00",
                  "attributes": [
                    {
                      "id": 123,
                      "value": "<string>",
                      "unit": {
                        "id": 677,
                        "name": "Sample unit",
                        "standard_unit": "<string>",
                        "type": "cost",
                        "system": "metric",
                        "symbol": "USD"
                      },
                      "updated_at": "2023-11-07T05:31:56Z",
                      "created_at": "2023-11-07T05:31:56Z"
                    }
                  ],
                  "memos": [
                    {
                      "id": 1234,
                      "text": "Immediate requirement",
                      "visibility": "any",
                      "acknowledged_at": "2022-01-10T15:24:56Z",
                      "notify_people": true,
                      "created_by": {
                        "id": 542,
                        "first_name": "Sample",
                        "last_name": "Demo",
                        "title": "Demo",
                        "status": "Active",
                        "type": "standard",
                        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "is_me": true
                      },
                      "created_by_context": "retailer",
                      "created_at": "2021-09-10T15:24:56Z",
                      "updated_at": "2022-09-10T15:24:56Z"
                    }
                  ],
                  "issues": [
                    {
                      "id": 123,
                      "memos": [
                        {
                          "id": 1234,
                          "text": "Immediate requirement",
                          "visibility": "any",
                          "acknowledged_at": "2022-01-10T15:24:56Z",
                          "notify_people": true,
                          "created_by": {
                            "id": 542,
                            "first_name": "Sample",
                            "last_name": "Demo",
                            "title": "Demo",
                            "status": "Active",
                            "type": "standard",
                            "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                            "is_me": true
                          },
                          "created_by_context": "retailer",
                          "created_at": "2021-09-10T15:24:56Z",
                          "updated_at": "2022-09-10T15:24:56Z"
                        }
                      ],
                      "created_at": "2023-11-07T05:31:56Z",
                      "updated_at": "2023-11-07T05:31:56Z",
                      "resolved_at": "2023-11-07T05:31:56Z",
                      "is_resolved": "<string>",
                      "issue_id": 123,
                      "message": "<string>",
                      "title": "<string>"
                    }
                  ],
                  "variant_id": 249,
                  "approved_at": "2022-10-10T15:24:56Z",
                  "created_at": "2022-07-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z",
                  "rejected_at": null,
                  "reject_reason": "Incomplete",
                  "reject": true,
                  "approve": false,
                  "delete": false
                },
                "retailer_identifiers": {
                  "id": 5642,
                  "identifier": "SKU976",
                  "name": "Retailer Sample"
                }
              },
              "net_price": "12.99"
            }
          ],
          "adjustments": [
            {
              "id": 566,
              "description": "Sample description for adjustment",
              "net_price": "1.00"
            }
          ],
          "acknowledged_at": "2022-09-10T15:24:56Z",
          "credited_at": "2022-09-10T15:24:56Z",
          "created_at": "2022-08-10T15:24:56Z",
          "subtotal": "20.00",
          "credit_amount": "24.00"
        }
      ],
      "order_batches": [
        {
          "id": 2456
        }
      ],
      "metadata": [
        {
          "id": 456,
          "name": "MD143",
          "value": "12",
          "type": "string",
          "created_at": "2022-09-10T15:24:56Z"
        }
      ],
      "connection_shipping_provider_account": {
        "id": 123,
        "connection": {
          "id": "1001",
          "status": "active",
          "created_at": "2021-09-10T15:24:56Z",
          "level": "full",
          "metadata": "About us",
          "connection_adjustments": [
            {
              "description": "Sample description for monetary adjustments",
              "id": 123442,
              "adjustment_type": "Discount",
              "adjustment_amount_type": "flat",
              "adjustment_amount": "12",
              "content_type": "PDF",
              "object_id": 45646
            }
          ],
          "integration_type": "API",
          "retailer_identifier": "R566A"
        },
        "shipping_provider_account": {
          "id": 76546,
          "shipping_provider": {
            "id": 2455,
            "name": "Sample shipping provider",
            "credentials": "<string>",
            "shipping_methods": "Next day delivery",
            "created_at": "2021-09-10T15:24:56Z",
            "updated_at": "2022-09-10T15:24:56Z"
          },
          "credential_values": [
            {
              "id": 165,
              "value": "<string>",
              "created_at": "2021-09-10T15:24:56Z",
              "updated_at": "2022-09-10T15:24:56Z"
            }
          ],
          "created_at": "2021-09-10T15:24:56Z",
          "updated_at": "2022-09-10T15:24:56Z"
        },
        "created_at": "2021-09-10T15:24:56Z",
        "updated_at": "2022-09-10T15:24:56Z"
      },
      "is_priority": false,
      "priority_user": {
        "id": 542,
        "first_name": "Sample",
        "last_name": "Demo",
        "title": "Demo",
        "status": "Active",
        "type": "standard",
        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
        "is_me": true
      },
      "envelopes": [
        {
          "interchange_control_number": 2545,
          "data_interchange_control_number": 12455,
          "direction": "incoming",
          "functional_identifier": "PO",
          "id": 663,
          "edi": "<string>",
          "request_acknowledgment": true,
          "sub_element_delimiter": "<string>",
          "segment_delimiter": "demo12",
          "element_delimiter": "<string>",
          "accepted_at": "2021-10-10T15:24:56Z",
          "created_at": "2021-09-10T15:24:56Z",
          "rejected_at": null,
          "transmitted_at": "2021-11-10T15:24:56Z",
          "documents": [
            {
              "transaction_set": "810",
              "transaction_set_control_number": 456,
              "id": 254,
              "jobs": [
                {
                  "content_type": 1,
                  "object_id": 145,
                  "runtime_id": "<string>",
                  "module_name": "demo module",
                  "id": 123,
                  "connection": {
                    "id": "1001",
                    "status": "active",
                    "created_at": "2021-09-10T15:24:56Z",
                    "level": "full",
                    "metadata": "About us",
                    "connection_adjustments": [
                      {
                        "description": "Sample description for monetary adjustments",
                        "id": 123442,
                        "adjustment_type": "Discount",
                        "adjustment_amount_type": "flat",
                        "adjustment_amount": "12",
                        "content_type": "PDF",
                        "object_id": 45646
                      }
                    ],
                    "integration_type": "API",
                    "retailer_identifier": "R566A"
                  },
                  "created_at": "2022-08-10T15:24:56Z",
                  "start_time": "2022-11-10T15:24:56Z",
                  "finish_time": "2022-11-10T15:24:56Z",
                  "description": "<string>",
                  "total_success": "<string>",
                  "total_failure": "<string>",
                  "metadata": [
                    {}
                  ],
                  "error_count": "<string>",
                  "error_logs": {
                    "id": 677,
                    "message": "Sample errors to fix",
                    "count": 12,
                    "created_at": "2022-08-10T15:24:56Z"
                  }
                }
              ],
              "accepted_at": "2021-09-10T15:24:56Z",
              "rejected_at": null
            }
          ],
          "entities": [
            {
              "envelope": "<unknown>",
              "content_type": "PDF",
              "object_id": 666,
              "id": 2145
            }
          ]
        }
      ]
    }
  ],
  "next": "https://api.example.org/demo/{retailer_pk}/?page=5",
  "previous": "https://api.example.org/demo/{retailer_pk}/?page=3"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_pk
string
required

Retailer ID

Query Parameters

retailer_order_num
string

Retailer order number

tags
string[]

Tags used for categorization. Multiple values may be added, separated by commas.

metadata
string[]

Meta data. Multiple values may be added, separated by commas.

metadata_value
string

Metadata values

generic_shipping_method
string[]

Shipping methods (names). Multiple values may be added, separated by comma

purchase_order_number
string

Purchase order number

customer_order_number
string

Customer order number

retailer_order_number
string

Retailer order number

search_order_number
string

Search by purchase order number, customer order number or retailer order number

variant_id
number[]

Variant IDs. Multiple values may be separated by commas.

variant_identifier
string[]

Variant SKUs. Multiple values may be added, separated by commas.

retailer_category
string[]

Retailer categories. Multiple values may be separated by commas.

retailer_category_id
number[]

Retailer category IDs. Multiple values may be separated by commas.

workflow
string[]

Status of the order such as pending, new, creating_shipments, ship, invoice, creating_invoices, on_hold, closed, shipping_errors, and invoice_errors. Multiple values may be separated by commas.

status
string

Order status such as open, closed partial, *pending and cancelled.

shipment_status
string

Shipment status such as open, closed, partial, *pending, and cancelled

orderline_status
string

Order line status

is_gift
number

1: Order is a gift
0: Order is not a gift

is_replacement
number

1: Order is a replacement
0: Order is not a replacement

is_backordered
number

1: Product is backordered
0: Product is not backordered

shipment_is_acknowledged
number

1: Shipment is acknowledged
0: Shipment is not acknowledged

cancel_is_acknowledged
number

1: Cancellation is acknowledged
0: Cancellation is not acknowledged

invoice_is_acknowledged
number

1: Invoice is acknowledged
0: Invoice is not acknowledged

rma_is_acknowledged
number

1: RMA is acknowledged
0: RMA is not acknowledged

backorder_is_acknowledged
number

1: Backorder is acknowledged
0: Backorder is not acknowledged

has_shipments
number

1: Order has shipments
0: Order does not have shipments

has_cancels
number

1: Order has cancellation
0: Order does not have cancellation

has_invoices
number

1: Order has invoices
0: Order does not have invoices

has_rmas
number

1: Order has RMA
0: Order does not have RMA

not_fully_shipped
number

1: Order is not fully shipped
0: Order is fully shipped

not_fully_invoiced
number

1: Order is not fully invoiced
0: Order is fully invoiced

cancel_acknowledged_at_gt
number

Cancellation acknowledgement date is greater than specified Time (Unix epoch format)

cancel_acknowledged_at_gte
number

Cancellation acknowledgement date is greater than or equal to specified Time (Unix epoch format)

cancel_acknowledged_at_lt
number

Cancellation acknowledgement date is less than specified Time (Unix epoch format)

cancel_acknowledged_at_lte
number

Cancellation acknowledgement date is less than or equal to specified Time (Unix epoch format)

backordered_until_gt
number

Backordered date is greater than specified Time (Unix epoch format)

backordered_until_gte
number

Backordered date is greater than or equal to specified Time (Unix epoch format)

backordered_until_lt
number

Backordered date is less than specified Time (Unix epoch format)

backordered_until_lte
number

Backordered date is less than or equal to specified Time (Unix epoch format)

memos_created_at_gte
number

Memos creation date is greater than or equal to specified Time (Unix epoch format)

since
number

Past date till the current time (Unix epoch format)

order_batch_id
number[]

Batch ID of order. Multiple values may be separated by commas.

brand_id
number[]

Vendor IDs. Multiple values may be separated by commas.

retailer_id
number[]

Retailer ID. Multiple values may be separated by commas.

connection_id
number[]

Connection ID. Multiple values may be separated by commas.Connection ID

order_by
string

Sorting preference

page
integer

Page number of the paginated response

limit
integer

Number of results per page

Response

OK

count
integer
required

Total number of records

Example:

100

results
object[]
required
next
string<uri> | null

Next page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_pk}/?page=5"

previous
string<uri> | null

Previous page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_pk}/?page=3"